<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Purge extends MY_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
    function __construct() {
        parent::__construct();
        $this->load->model("Tracking_model", "tracking");
        $this->load->model("Pins_model", "pins");
        $this->load->model("Activity_model", "activity");
        $this->load->model("Sync_model", "sync");
        $this->load->model('Frequency_model', 'freq');
    }
    public function index()
	{
		$res_data['view'] = 'pages/purge';
		$res_data['data'] = array("date_type"=>"day");
        $this->load->view('layout', $res_data);
    }

    public function purge_data($end, $start='0000-00-00'){

    
		$this->tracking->delete_data_between($start, $end);
		$this->pins->delete_data_between($start, $end);
		$this->activity->delete_data_between($start, $end);
		$this->sync->delete_data_between($start, $end);
		$this->freq->delete_data_between($start, $end);
		$res_data['view'] = 'pages/purge';
		$res_data['data'] = array("date_type"=>"day", "message"=>"Data purged successfully.");
        $this->load->view('layout', $res_data);
        
    }
}